# burn\_farm\_rewards

An entrypoint that claims and burns the specified farm rewards (they will be minted to the `zero_address`). Transaction sender receives minted to him burn rewards (this is the % that is specified by an admin in [burn\_rewards](/smart-contracts/farming/qfarm-contract/entrypoints-overview/admin-entrypoints/set_fees.md) fee). Rewards are accrued to the farm for the funds that were staked from a farm's name as a withdrawal commission.

{% hint style="info" %}
`zero_address` is the account address that no one has access to: [`tz1ZZZZZZZZZZZZZZZZZZZZZZZZZZZZNkiRg`](https://tzkt.io/tz1ZZZZZZZZZZZZZZZZZZZZZZZZZZZZNkiRg/operations/)
{% endhint %}

### Call parameters

```pascaligo
type burn_farm_rew_type is nat // Farm's ID
```

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const qFarmAddress = "KT1...";
const farmId = 1;
const qFarm = await tezos.contract.at(qFarmAddress);
const operation = await qFarm.methods.burn_farm_rewards(farmId).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `QSystem/farm-not-set` - farming with `fid` parameter doesn't exist.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/farming/qfarm-contract/entrypoints-overview/other-entrypoints/burn_farm_rewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
